Name:           boomaga
Version:        1.2.0
Release:        %mkrel 1
Summary:        A virtual printer for viewing a document before printing
Group:          System/Printing
License:        GPLv2 and LGPLv2+
Url:            http://boomaga.github.io/
Source0:        %{name}-%{version}.tar.xz
Patch0:		boomaga-poppler-0.58.0.patch
#---------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}cups2-devel
BuildRequires: %{_lib}poppler-cpp-devel
BuildRequires: %{_lib}poppler-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}snappy-devel
BuildRequires: make 
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5base5-devel
#----------------------------------
Requires: %{_lib}qt5core5
Requires: %{_lib}qt5dbus5
Requires: %{_lib}qt5gui5
Requires: %{_lib}qt5printsupport5
Requires: %{_lib}qt5widgets5
Requires: qttools5
Requires(pre):  ghostscript
Requires:       snappy
Requires(preun):cups-common
Requires(post): paper-utils
Requires(pre):  task-printing-server


%description
Boomaga (BOOklet MAnager) is a virtual printer for viewing a document
before printing it out using the physical printer. The program is very
simple to work with. Running any program, click “print” and select
“Boomaga” to see in several seconds (CUPS takes some time to respond)
the Boomaga window open. If you print out one more document,
it gets added to the previous one, and you can also print them
out as one. Regardless of whether your printer supports duplex
printing or not, you would be able to easily print on both sides
of the sheet. If your printer does not support duplex printing,
point this out in the settings, and Booklet would ask you to turn
over the pages half way through printing your document.

%prep
%setup -q
#patch0 -p1

%build
%cmake_qt5 -DUSE_QT5=Yes
%make

%install

%makeinstall_std -C build

%__mkdir -p %{buildroot}%{_datadir}/%{name}/scripts
%__install -m 755 scripts/installPrinter.sh %{buildroot}%{_datadir}/%{name}/scripts/
chmod +x %{buildroot}%{_datadir}/%{name}/scripts/installPrinter.sh

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | %__sed -e 's|^.||' | sed -e \
    's:\(.*/translations/boomaga_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang


%post
# Install the printer to cups backends
if [ $1 = 1 ]; then
    sh %{_datadir}/%{name}/scripts/installPrinter.sh
fi

%preun
# Uninstall the printer
lpadmin -x "Boomaga"


%files -f %{name}.lang
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_prefix}/lib/cups/backend/%{name}
%{_libdir}/%{name}
%{_datadir}/dbus-1/services/org.%{name}.service
%{_mandir}/man1/%{name}.1.*
%{_datadir}/ppd/%{name}/
%{_datadir}/%{name}/scripts/installPrinter.sh
%{_datadir}/applications/boomaga.desktop
%{_iconsdir}/hicolor/*/apps/boomaga.png
%{_datadir}/mime/packages/boomaga.xml


%changelog
* Sat Feb 17 2018 bb2 <bb2> - 1.2.0-1pclos2018
- new version

* Sat Nov 25 2017 ghostbunny <ghostbunny at gmx dot de> 1.0.0-1pclos2017
- 1.0.0 and rebuild against new poppler 0.61.1

* Sat Sep 30 2017 ghostbunny <ghostbunny at gmx dot de> 0.9.1-1pclos2017
- 0.9.1 and rebuild against new poppler version

* Fri Mar 31 2017 pp <pp> 0.9.0-1pclos2017
- update

* Tue Mar 14 2017 bb2 <bb2> - 0.7.1-3pclos2017
- rebuild new poppler

* Sat Aug 29 2015 ghostbunny <ghostbunny at gmx dot de> 0.7.1-2pclos2015
- rebuild against new poppler version
- add missing BR libqt5help-devel

* Mon Aug 03 2015 bb <bb> 0.7.1-1pclos2015
- import into pclos
